import 'dart:async';
import 'dart:ffi';
import 'dart:typed_data';

import 'package:flutter/rendering.dart';
import 'package:flutter/services.dart';

class AppIcon {
  static const MethodChannel _channel = const MethodChannel('app_icon');

  static Future<Uint8List> get appIconByteArray async {
    return _channel.invokeMethod('getApplicationIcon');
  }

  static Future<ImageProvider> get appIconImageProvider async {
    final Uint8List bytes = await appIconByteArray;
    return MemoryImage(bytes ?? []);
  }
}
